.c6e761__price-package_root {
  position: relative;
  -ms-flex-negative: 0;
      flex-shrink: 0;
  overflow: hidden;
}

.e52e6b__price-package_editOverlay {
  display: none;
}

.c9c8dc__price-package_editIcon {
  display: none;
  position: absolute;
  z-index: 2;
  padding: 0;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%) rotate(90DEG);
          transform: translate(-50%, -50%) rotate(90DEG);
  font-size: 40px;
  color: rgb(255, 255, 255);
}

.c2d5c2__price-package_root__editable {
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.c2d5c2__price-package_root__editable:hover {
  & .e52e6b__price-package_editOverlay {
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.3);
    width: 100%;
    height: 100%;
    cursor: pointer;
    z-index: 1;
  }

  & .c9c8dc__price-package_editIcon {
    display: block;
  }
}

.b528ca__price-package_title {
  margin-top: 25px;
  margin-bottom: 0.5em;
  font-weight: 300;
  line-height: 1.2;
  color: #2d2d2d;
  font-size: 24px;
  text-transform: capitalize;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.b89419__price-package_price,
.a25701__price-package_priceDescription {
  margin-top: 15px;
  line-height: 1.2;
  color: #2d2d2d;
  font-weight: 600;
  font-size: 24px;
  text-align: center;
  font-family: var(--font-cormorant-garamond), serif;
}

.a25701__price-package_priceDescription {
  margin-top: 0;
  line-height: normal;
  margin-bottom: 1em;
  font-style: italic;
  font-weight: 300;
  font-size: 18px;
}

.da3fbc__price-package_descripiton {
  font-family: var(--font-cormorant-garamond), serif;
  line-height: 1.5;
  color: #373737;
  font-size: 18px;
}

.ccc4e4__price-package_poster {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  justify-self: center;
  filter: none;
  -webkit-filter: brightness(100%);
  transition: 0.5s filter linear, 0.5s -webkit-filter linear;
  width: 50%;
  margin: 0 auto;
}

.ccc4e4__price-package_poster:hover {
  filter: brightness(110%);
  -webkit-filter: brightness(110%);
}

@media (max-width: 768px) {
  .b528ca__price-package_title {
    margin-top: 5px;
  }
}

@media (min-width: 1400px) {
  .b528ca__price-package_title {
    margin-top: 5px;
  }
}

.e3cba3__button_root {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  text-transform: uppercase;
  background-color: var(--color-white);
  color: var(--color-black);
  padding: 10px;
  font-weight: 600;
  font-size: 1.35em;
  letter-spacing: 0.05em;
  cursor: pointer;
}

.e5c880__button_root__disabled {
  opacity: 0.5;
  cursor: not-allowed;
}

.cfc917__button_root__primary {
  background-color: var(--color-steel-blue);
}

.dbe359__button_root__warn {
  background-color: var(--color-red);
  color: var(--color-white);
}

.b7322c__confirm_root {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.afe792__confirm_overlay {
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  background-color: rgba(0, 0, 0, 0.85);
}

.e7a2a0__confirm_dialog {
  z-index: 2;
  padding: 0 25px;
}

.beeb0c__confirm_message {
  text-transform: uppercase;
  color: var(--color-white);
  text-align: center;
  font-size: 20px;
}

.ea3139__confirm_buttons {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 10px;
  margin-top: 20px;
}

.b3ae28__sortable-list_root {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  padding: 4px;
  row-gap: 4px;

  &:empty {
    display: none;
  }
}

.be228a__packages-rules_root {
  margin-top: 25px;
}

.a0d4b0__packages-rules_rulesList {
  display: grid;
  text-align: center;
  width: 50%;
  margin: 0 auto 0;
  grid-gap: 10px;
  font-family: var(--font-cormorant-garamond), serif;
  font-weight: 300;
  font-size: 19px;
  width: 80%;
}

.bfc59b__packages-rules_rulesList__item::before {
  content: "- ";
}

.e0fabd__packages-rules_ruleItem {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  min-height: 30px;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  padding: 10px;
  color: var(--color-white);
  background-color: var(--color-steel-blue);
  cursor: -webkit-grab;
  cursor: grab;
  -webkit-column-gap: 5px;
     -moz-column-gap: 5px;
          column-gap: 5px;
}

.c3654d__packages-rules_closeButton {
  fill: var(--primary-button-color);
  width: 30px;
  height: 30px;
  top: 3px;
  right: 3px;
  cursor: pointer;
}

.c3b3c3__packages-rules_addMoreRuleForm {
  margin: 0 4px;
}

.a021ee__text-input-field_root {
  position: relative;
}

i {
  position: absolute;
  left: 0;
  padding: 15px 10px;
  font-style: normal;
  color: #aaa;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  pointer-events: none;
}

.e5feb8__text-input-field_input {
  position: relative;
  width: 100%;
  background-color: var(--component-background-color);
  border: none;
  outline: none;
  padding: 25px 10px 7.5px;
  border-radius: 4px;
  color: var(--color-white);
  font-weight: 500;
  font-size: 1em;

  &:focus ~ i,
  &:not([value=""]) ~ i {
    -webkit-transform: translateY(-7.5px);
            transform: translateY(-7.5px);
    font-size: 0.8em;
    color: var(--main-body-color);
  }
}

.f9fb64__text-input-field_error {
  color: var(--color-red);
}

.da242c__price-packages_root {
  display: grid;
  grid-gap: 50px;
  grid-template-columns: 1fr 1fr 1fr;
  grid-auto-flow: dense;
  grid-column-gap: 15px;
  margin-top: 25px;
}

.ea6d69__price-packages_divider {
  background-color: rgb(196, 196, 196);
  width: calc(100% - 100px);
  height: 1px;
  margin: 25px auto 0;
}

@media (max-width: 768px) {
  .da242c__price-packages_root {
    grid-template-columns: 1fr;
    grid-gap: 60px;
  }
}

@media (min-width: 1400px) {
  .da242c__price-packages_root {
    grid-column-gap: 25px;
  }
}

.e2f73f__file-input-field_root {
  width: 300px;
  height: 300px;
  position: relative;
  --input-field-bg-color: rgb(25, 28, 36);
}

.afe4fa__file-input-field_dropzone {
  width: 300px;
  height: 300px;
  cursor: pointer;
  background-color: var(--component-background-color);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  text-align: center;
  border-radius: 4px;
  padding: 20px;
  border: 1px dashed var(--color-white);
  color: var(--color-white);
}

.a6d237__file-input-field_dropzone__reject {
  border: 1px dashed var(--color-red);
}

.b9c5f4__file-input-field_preview {
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  aspect-ratio: 1;
  border-radius: 4px;
  background-color: var(--input-field-bg-color);
}

.f2f05d__file-input-field_closeButton {
  fill: var(--primary-button-color);
  width: 30px;
  height: 30px;
  position: absolute;
  top: 3px;
  right: 3px;
  cursor: pointer;
}

.ba689f__descriptions-field_root {
  position: relative;
  border: 1px solid var(--component-background-color);
  border-radius: 5px;
}

i {
  position: absolute;
  left: 0;
  padding: 15px 10px;
  font-style: normal;
  color: #aaa;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  pointer-events: none;
}

.c32ccb__descriptions-field_input {
  position: relative;
  width: 100%;
  background-color: var(--component-background-color);
  border: none;
  outline: none;
  padding: 25px 10px 7.5px;
  border-radius: 4px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  color: var(--color-white);
  font-weight: 500;
  font-size: 1em;

  &:focus ~ i,
  &:not([value=""]) ~ i {
    -webkit-transform: translateY(-7.5px);
            transform: translateY(-7.5px);
    font-size: 0.8em;
    color: var(--main-body-color);
  }
}

.fb0025__descriptions-field_error {
  color: var(--color-red);
}

.f6691b__descriptions-field_closeButton {
  fill: var(--primary-button-color);
  width: 30px;
  height: 30px;
  cursor: pointer;
  -ms-flex-negative: 0;
      flex-shrink: 0;
}

.f44ce5__descriptions-field_desciptionItems:empty {
  display: none;
}

.fd852a__descriptions-field_desciptionItemText {
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
}

.e0723f__descriptions-field_descriptionItem {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  min-height: 30px;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  padding: 10px;
  color: var(--color-white);
  background-color: var(--color-steel-blue);
  cursor: -webkit-grab;
  cursor: grab;
  -webkit-column-gap: 5px;
     -moz-column-gap: 5px;
          column-gap: 5px;
}

.b014fd__checkbox-field_root {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.cf76bb__checkbox-field_inputWrapper {
  position: relative;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-column-gap: 10px;
     -moz-column-gap: 10px;
          column-gap: 10px;
}

.bf2e08__checkbox-field_input {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  width: 60px;
  height: 30px;
  border-radius: 30px;
  background-color: var(--component-background-color);
  -webkit-transition: all 0.3s ease-in;
  transition: all 0.3s ease-in;
  cursor: pointer;
  position: relative;
}

.bf2e08__checkbox-field_input::before {
  content: "";
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background-color: var(--color-white);
  position: absolute;
  top: 15px;
  left: 3px;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  -webkit-transition: all 0.3s ease-in;
  transition: all 0.3s ease-in;
}

.bf2e08__checkbox-field_input:checked {
  background-color: var(--primary-button-color);
}

.bf2e08__checkbox-field_input:checked::before {
  background-color: var(--component-background-color);
  left: 32px;
}

.d8da6c__checkbox-field_error {
  color: var(--color-red);
}

.adf7dd__price-package-edit_root {
  max-width: 1024px;
  margin: 25px auto 0;
  width: 100%;
}

.c7d169__price-package-edit_form {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 25px;
}

.d23d8a__price-package-create_root {
  max-width: 1024px;
  margin: 25px auto 0;
  width: 100%;
}

.d54769__price-package-create_form {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 25px;
}

.dd073a__about_root {
  position: relative;
  margin: 0 calc(var(--body-padding) * -1) 0 0;
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
}

.dfabcf__about_pictureArtWrapper {
  display: grid;
  grid-template-columns: auto 400px;
  margin-top: 50px;
  min-height: 320px;
  max-width: 1024px;
  margin-left: auto;
  margin-right: auto;
}

.a4ebf4__about_pictureOfMeWrapper {
  position: relative;
}

.a388e8__about_pictureOfMe {
  height: auto;
  position: absolute;
  -o-object-fit: cover;
     object-fit: cover;
  top: 25px;
  left: -25px;
}

.eb9127__about_helloMessage {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  row-gap: 25px;
  background-color: rgb(229, 228, 226);
  padding: 25px 50px 25px 25px;
}

@media (max-width: 768px) {
  .dd073a__about_root {
    margin: 0;
  }

  .dfabcf__about_pictureArtWrapper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    margin-top: 25px;
  }

  .a388e8__about_pictureOfMe {
    position: static;
  }

  .eb9127__about_helloMessage {
    padding: 25px;
  }
}

.b3ce2f__admin_root {
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
}

.d2f92a__admin_packagesTitle {
  margin-top: 10px;
  color: #2d2d2d;
  font-size: 24px;
}

.c3c0fa__admin_adminPreviewPackage {
  display: grid;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: start;
  -webkit-column-gap: 10px;
     -moz-column-gap: 10px;
          column-gap: 10px;
  grid-template-columns: 50px 30px auto;
  height: 75px;
}

.b61a21__admin_adminPreviewPackage__title {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  justify-self: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  color: #2d2d2d;
  font-size: 20px;
}

.e29a18__admin_adminPreviewPackage__image {
  max-width: 50px;
  justify-self: center;
}

.a758c8__admin_adminPreviewPackages {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  row-gap: 10px;
  margin-top: 10px;
}

.cca0b6__admin_deleteIcon {
  width: 30px;
  height: 30px;
  cursor: pointer;
}

.a0e759__portfolio_root {
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
  margin-top: 25px;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
  grid-gap: 25px;
}

.ff1e14__portfolio_photo {
  max-width: 100%;
  max-height: 100%;
}

@media screen and (min-width: 780px) {
  .a0e759__portfolio_root {
    margin: 25px 10% 0;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  }
}

.eabf10__navigation-menu_root {
  margin-top: 25px;
  text-align: center;
  padding: 10px;
  background: -webkit-gradient(linear, left top, right top, from(rgba(229, 228, 226, 0)), color-stop(50%, rgba(229, 228, 226, 1)), to(rgba(229, 228, 226, 0)));
  background: linear-gradient(to right, rgba(229, 228, 226, 0) 0%, rgba(229, 228, 226, 1) 50%, rgba(229, 228, 226, 0) 100%);
}

.aab500__navigation-menu_link {
  position: relative;
  font-family: var(--font-cormorant-garamond);
  font-size: 20px;
  font-weight: bold;
  text-transform: uppercase;
}

.aab500__navigation-menu_link + .aab500__navigation-menu_link {
  margin-left: 20px;
}

.aab500__navigation-menu_link::after {
  content: '';
  position: absolute;
  width: 100%;
  -webkit-transform: scaleX(0);
          transform: scaleX(0);
  height: 1px;
  bottom: 0;
  left: 0;
  background-color: #000;
  -webkit-transform-origin: bottom right;
          transform-origin: bottom right;
  -webkit-transition: -webkit-transform 0.2s ease-out;
  transition: -webkit-transform 0.2s ease-out;
  transition: transform 0.2s ease-out;
  transition: transform 0.2s ease-out, -webkit-transform 0.2s ease-out;
}

.aab500__navigation-menu_link:hover::after {
  -webkit-transform: scaleX(1);
          transform: scaleX(1);
  -webkit-transform-origin: bottom left;
          transform-origin: bottom left;
}

.df12e8__navigation-menu_link__active::after {
  -webkit-transition: none;
  transition: none;
  -webkit-transform: scaleX(1);
          transform: scaleX(1);
}

.d1671a__header_root {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.d6f45f__header_signLogo {
  width: 150px;
  height: auto;
  margin-left: -10px;
  -webkit-transform: rotate(-10deg);
          transform: rotate(-10deg);
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  cursor: pointer;
}

.affb68__header_contextMenuWrapper {
  background-color: rgba(255, 255, 255, 0.7);
  text-decoration: underline;
  cursor: pointer;
}

.cff4f9__language-switcher_root {
  & .ant-select-selection-item {
    -webkit-padding-end: 0!important;
            padding-inline-end: 0!important;
  }

  & .ant-select-selector {
    padding: 0!important;
  }

  & .rc-virtual-list-holder-inner {
    row-gap: 10px;
  }

  & .ant-select-item.ant-select-item-option {
    padding: 0;
    background: none!important;
    width: 32px;
  }
}

.d0e808__language-switcher_switcherPopup {
  -webkit-box-shadow: none;
          box-shadow: none;
}

.a3447e__language-switcher_langIcon {
  display: block;
  height: 32px;
  width: 32px;
}

.c9d2f4__add-context-menu_root {
  position: absolute;
  z-index: 2;
  padding: 5px;
}

.e70e7c__add-context-menu_background {
  position: fixed;
  z-index: 1;
  content: '';
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.a21d2e__bottom-links_root {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-top: 20px;
  background-color: rgb(229, 228, 226);
  padding: 10px 0px;
}

.de65e0__bottom-links_icon {
  width: 32px;
  height: auto;
}

.c24de2__bottom-links_iconLink {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.c24de2__bottom-links_iconLink + .c24de2__bottom-links_iconLink {
  margin-left: 20px;
}

.c6237f__full-name_about {
  text-align: center;
  width: 50%;
  margin: 0 auto;
  font-family: var(--font-cormorant-garamond), serif;
  color: #373737;
  font-size: 16px;
  margin-top: 50px;
}

.dfb4eb__auth-form_formWrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  max-width: 400px;
  background-color: var(--form-background-color);
  padding: 40px;
  border-radius: 4px;
  margin: 25px auto 0;
}

.b7ff30__auth-form_form {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 25px;
}

.c711a0__auth-form_loginQuestion {
  text-align: center;
  margin-top: 25px;
  text-transform: uppercase;
}

.b401ca__auth-form_link {
  color: var(--primary-button-color);
  margin-left: 5px;
}

.a9311a__auth-form_socialButtons {
  margin-top: 20px;
  text-align: center;
}

.b920c4__auth-form_socialButton {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-column-gap: 10px;
     -moz-column-gap: 10px;
          column-gap: 10px;
}

.fb980e__auth-form_socialIcon {
  width: 30px;
  height: 30px;
}

.a983d9__login_title {
  font-size: 2.375em;
  text-align: center;
  margin-top: 70px;
  color: var(--product-text-color);
}

/***
    The new CSS reset - version 1.11.3 (last updated 25.08.2024)
    GitHub page: https://github.com/elad2412/the-new-css-reset
***/

/*
    Remove all the styles of the "User-Agent-Stylesheet", except for the 'display' property
    - The "symbol *" part is to solve Firefox SVG sprite bug
    - The "html" element is excluded, otherwise a bug in Chrome breaks the CSS hyphens property (https://github.com/elad2412/the-new-css-reset/issues/36)
 */
*:where(:not(html, iframe, canvas, img, svg, video, audio):not(svg *, symbol *)) {
    all: unset;
    display: revert;
}

/* Preferred box-sizing value */
*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Fix mobile Safari increase font-size on landscape mode */
html {
    -moz-text-size-adjust: none;
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
}

/* Reapply the pointer cursor for anchor tags */
a, button {
    cursor: revert;
}

/* Remove list styles (bullets/numbers) */
ol, ul, menu, summary {
    list-style: none;
}

/* Firefox: solve issue where nested ordered lists continue numbering from parent (https://bugzilla.mozilla.org/show_bug.cgi?id=1881517) */
ol {
    counter-reset: revert;
}

/* For images to not be able to exceed their container */
img {
    max-inline-size: 100%;
    max-block-size: 100%;
}

/* removes spacing between cells in tables */
table {
    border-collapse: collapse;
}

/* Safari - solving issue when using user-select:none on the <body> text input doesn't working */
input, textarea {
    -webkit-user-select: auto;
}

/* revert the 'white-space' property for textarea elements on Safari */
textarea {
    white-space: revert;
}

/* minimum style to allow to style meter element */
meter {
    -webkit-appearance: revert;
    appearance: revert;
}

/* preformatted text - use only for this feature */
:where(pre) {
    all: revert;
    box-sizing: border-box;
}

/* reset default text opacity of input placeholder */
::placeholder {
    color: unset;
}

/* fix the feature of 'hidden' attribute.
   display:revert; revert to element instead of attribute */
:where([hidden]) {
    display: none;
}

/* revert for bug in Chromium browsers
   - fix for the content editable attribute will work properly.
   - webkit-user-select: auto; added for Safari in case of using user-select:none on wrapper element*/
:where([contenteditable]:not([contenteditable="false"])) {
    -moz-user-modify: read-write;
    -webkit-user-modify: read-write;
    overflow-wrap: break-word;
    -webkit-line-break: after-white-space;
    -webkit-user-select: auto;
}

/* apply back the draggable feature - exist only in Chromium and Safari */
:where([draggable="true"]) {
    -webkit-user-drag: element;
}

/* Revert Modal native behavior */
:where(dialog:modal) {
    all: revert;
    box-sizing: border-box;
}

/* Remove details summary webkit styles */
::-webkit-details-marker {
    display: none;
}

:root {
  --body-padding: 25px;
  --font-source-serif4: "Source Serif 4", serif;
  --font-cormorant-garamond: "Cormorant Garamond", serif;
  --color-red: rgb(238, 75, 43);
  --color-black: rgb(0, 0, 0);
  --color-white: rgb(255, 255, 255);
  --color-steel-blue: rgb(70, 130, 180);
  --main-body-color: rgb(255, 255, 255);
  --primary-button-color: rgba(174, 173, 171, 1);
  --form-background-color: rgb(34, 34, 34);
  --component-background-color: rgb(51, 51, 51);
  --color-lavender-blush: rgb(255, 240, 245);
}

* {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

html,
body {
  max-width: 100vw;
  overflow-x: hidden;
  height: 100%;
}

body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  font-family: var(--font-source-serif4), serif;
  padding: var(--body-padding);
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  background-color: var(--color-lavender-blush)
}

a {
  color: inherit;
  text-decoration: none;
}

[id="root"] {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
}

